GPU not detected

Before anything: I already read the threads about this topic. But they don’t help me.

I have two GPUs: an RTX 2060 Super (which is not supported) and a GTX 1060 3GB (which I want to use).
I use Visual Studio 2015, the newest GPU drivers (441.66), the newest DLS (2.5.0) for Desktop and CUDA 9.0 (as installed by DLS) on Windows 10.

CUDA detects both GPUs (checked with DeviceQuery). I also tried reinstalling DLS and CUDA. Doesn’t work.
Here is the DLS log (This forum limits amount of links so i removed the “:” in them):

Starting Deep Learning Studio...

Checking GPU support…
GPU not supported
skipping cifar dataset download!
skipping IMDB dataset download!
skipping MNIST dataset download!
skipping reuters dataset download!
No changes detected
Using MXNet backend.
C:\Users\User\AppData\Local\Programs\DeepLearningStudio\conda3\lib\site-packages\allauth\account\templatetags\account_tags.py:4: DeprecationWarning: {% load account_tags %} is deprecated, use {% load account %}
DeprecationWarning)
C:\Users\User\AppData\Local\Programs\DeepLearningStudio\conda3\lib\site-packages\allauth\socialaccount\templatetags\socialaccount_tags.py:4: DeprecationWarning: {% load socialaccount_tags %} is deprecated, use {% load socialaccount %}
" {% load socialaccount %}", DeprecationWarning)
Operations to perform:
Apply all migrations: account, admin, auth, authtoken, automl, contenttypes, environments, project, projects, reversion, sessions, sites, socialaccount
Running migrations:
No migrations to apply.
Using MXNet backend.
C:\Users\User\AppData\Local\Programs\DeepLearningStudio\conda3\lib\site-packages\allauth\account\templatetags\account_tags.py:4: DeprecationWarning: {% load account_tags %} is deprecated, use {% load account %}
DeprecationWarning)
C:\Users\User\AppData\Local\Programs\DeepLearningStudio\conda3\lib\site-packages\allauth\socialaccount\templatetags\socialaccount_tags.py:4: DeprecationWarning: {% load socialaccount_tags %} is deprecated, use {% load socialaccount %}
" {% load socialaccount %}", DeprecationWarning)
Using MXNet backend.
Using MXNet backend.

  • Running on http//127.0.0.1:6666/ (Press CTRL+C to quit)
    [27/Dec/2019:19:02:04] ENGINE Bus STARTING
    [27/Dec/2019:19:02:04] ENGINE Serving on http://0.0.0.0:8000
    [27/Dec/2019:19:02:04] ENGINE Bus STARTED
    c:\users\user\appdata\local\programs\deeplearningstudio\conda3\lib\site-packages\notebook\services\kernels\kernelmanager.py:19: VisibleDeprecationWarning: zmq.eventloop.minitornado is deprecated in pyzmq 14.0 and will be removed.
    Install tornado itself to use zmq with the tornado IOLoop.

from jupyter_client.session import Session
[I 19:02:05.674 LabApp] JupyterLab extension loaded from c:\users\user\appdata\local\programs\deeplearningstudio\conda3\lib\site-packages\jupyterlab
[I 19:02:05.674 LabApp] JupyterLab application directory is c:\users\user\appdata\local\programs\deeplearningstudio\conda3\share\jupyter\lab
[I 19:02:05.676 LabApp] Serving notebooks from local directory: C:\Users\User\AppData\Local\Programs\DeepLearningStudio\data\1
[I 19:02:05.677 LabApp] The Jupyter Notebook is running at:
[I 19:02:05.677 LabApp] http//127.0.0.1:8886/?token=…
[I 19:02:05.677 LabApp] or http//127.0.0.1:8886/?token=…
[I 19:02:05.677 LabApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).

I also just recognized that CUDA driverquery says for both GPUs:

CUDA Driver Version / Runtime Version 10.2 / 9.0

Should they match? Can this be the problem?
Further down it says:

deviceQuery, CUDA Driver = CUDART, CUDA Driver Version = 10.2, CUDA Runtime Version = 9.0, NumDevs = 2
Result = PASS

I feel a bit bad for asking this, because so many seem to have this issue and I don’t want to ask the same thing too, but I tried everything else. I easily spent over 10 hours trying to get DLS with GPU support to work (at first I didn’t know that RTX was not supported, so that took some time).

I reinstalled everything again, but now i did not uncheck “install driver” when installing CUDA, so it installd the old 385 driver.
After that Windows looked like 800x600, obviously since neither of my GPUs is supported with this driver.
But when I startet DLS it actually said “GPU supported” (despite no GPU being usable).
So the Problem IS the driver.

But with that driver nothing works. I updated the driver again to 441 and nothing works.

Is it possible to fix this?
The compatibility of this project seems to be a mess.

EDIT:
Also I think you should write down system requirements next to the download button:
RTX - not supported
new NVidia drivers - not supported
new CUDA - not supported

I am really disappointed. I really thought this was a very useful program.

Switched to Sony’s Neural Network Console (also free).
It recognised my GPU instantly. It just works.
It also has quite a few more options, and it comes with a manual!
And with the 2060 it is about 20 times faster than a Ryzen 7 3rd Gen on DLS.

Can recommend!

1 Like